Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence.jdbc
Class JDBCFetchPlan

    java.lang.Object
      kodo.persistence.FetchPlan
          kodo.persistence.jdbc.JDBCFetchPlan

All Implemented Interfaces:
  kodo.jdbc.kernel.EagerFetchModes, kodo.jdbc.kernel.LRSSizes, kodo.jdbc.sql.JoinSyntaxes

    public class JDBCFetchPlan

extends FetchPlan
implements kodo.jdbc.kernel.EagerFetchModes, kodo.jdbc.kernel.LRSSizes, kodo.jdbc.sql.JoinSyntaxes

JDBC extensions to the fetch plan.

Since:
  4.0

Field Summary

Fields inherited from class kodo.persistence.FetchPlan
`DEFAULT, FETCH_GROUP_ALL`

Fields inherited from interface kodo.jdbc.kernel.EagerFetchModes
`EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL`

Fields inherited from interface kodo.jdbc.kernel.LRSSizes
`SIZE_LAST, SIZE_QUERY, SIZE_UNKNOWN`

Fields inherited from interface kodo.jdbc.sql.JoinSyntaxes
`SYNTAX_DATABASE, SYNTAX_SQL92, SYNTAX_TRADITIONAL`

Constructor Summary
`JDBCFetchPlan(kodo.kernel.FetchConfiguration fetch)` Constructor; supply delegate.

Method Summary
`int` | `getEagerFetchMode()`
`int` | `getFetchDirection()`
`int` | `getJoinSyntax()`
`int` | `getLRSSize()`
`int` | `getResultSetType()`
`int` | `getSubclassFetchMode()`
`protected kodo.kernel.DelegatingFetchConfiguration` | `newDelegatingFetchConfiguration(kodo.kernel.FetchConfiguration fetch)` Create a new exception-translating delegating fetch configuration.
`JDBCFetchPlan` | `setEagerFetchMode(int mode)`
`JDBCFetchPlan` | `setFetchDirection(int direction)`
`JDBCFetchPlan` | `setJoinSyntax(int syntax)`
`JDBCFetchPlan` | `setLRSSize(int lrsSize)`
`JDBCFetchPlan` | `setResultSetType(int type)`
`JDBCFetchPlan` | `setSubclassFetchMode(int mode)`

Methods inherited from class kodo.persistence.FetchPlan
`addFetchGroup, addFetchGroups, addFetchGroups, addField, addField, addFields, addFields, addFields, addFields, clearFetchGroups, clearFields, equals, getDelegate, getFetchBatchSize, getFetchGroups, getFields, getLockTimeout, getQueryResultCache, getReadLockMode, getWriteLockMode, hasField, hasField, hashCode, removeFetchGroup, removeFetchGroups, removeFetchGroups, removeField, removeField, removeFields, removeFields, removeFields, removeFields, resetFetchGroups, setFetchBatchSize, setLockTimeout, setQueryResultCache, setReadLockMode, setWriteLockMode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCFetchPlan

    public JDBCFetchPlan(kodo.kernel.FetchConfiguration fetch)

  Constructor; supply delegate.

Method Detail

### newDelegatingFetchConfiguration

    protected kodo.kernel.DelegatingFetchConfiguration newDelegatingFetchConfiguration(kodo.kernel.FetchConfiguration fetch)

  Description copied from class: `FetchPlan`
  Create a new exception-translating delegating fetch configuration.

  Overrides:
    `newDelegatingFetchConfiguration` in class `FetchPlan`

### getEagerFetchMode

    public int getEagerFetchMode()

### setEagerFetchMode

    public JDBCFetchPlan setEagerFetchMode(int mode)

### getSubclassFetchMode

    public int getSubclassFetchMode()

### setSubclassFetchMode

    public JDBCFetchPlan setSubclassFetchMode(int mode)

### getResultSetType

    public int getResultSetType()

### setResultSetType

    public JDBCFetchPlan setResultSetType(int type)

### getFetchDirection

    public int getFetchDirection()

### setFetchDirection

    public JDBCFetchPlan setFetchDirection(int direction)

### getLRSSize

    public int getLRSSize()

### setLRSSize

    public JDBCFetchPlan setLRSSize(int lrsSize)

### getJoinSyntax

    public int getJoinSyntax()

### setJoinSyntax

    public JDBCFetchPlan setJoinSyntax(int syntax)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.